Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 23 Feb 2021 01:43:54 +0000 (UTC)

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Order # 6273976783
I tried fining this Siteen St Branch. Went to Othaim  Super Market as well but there was no store. I tried calling on your helpline, long waiting no response. I went to Talateen branch and they didn't know where is this Siteen St. Branch. Your website doesn't show the store either.
Please assist. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2130391